package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaReportDetails;

/// 庞世斌

/**
 * 诊断报告Service接口
 *
 * @author srs
 * @date 2025-05-08
 */
public interface IDiaReportDetailsService extends IService<DiaReportDetails> {
    /**
     * 查询诊断报告
     *
     * @param id 诊断报告主键
     * @return 诊断报告
     */
    public DiaReportDetails selectDiaReportDetailsById(Long id);

    /**
     * 查询诊断报告列表
     *
     * @param diaReportDetails 诊断报告
     * @return 诊断报告集合
     */
    List<DiaReportDetails> selectDiaReportDetailsList(DiaReportDetails diaReportDetails);


    /**
     * 批量新增诊断报告
     *
     * @param list 批量新增诊断报告
     * @return 结果
     */
    int batchInsertReportDetailsByHierarchy( List<DiaReportDetails> list);



    /**
     * 新增诊断报告
     *
     * @param diaReportDetails 诊断报告
     * @return 结果
     */
    int insertDiaReportDetails(DiaReportDetails diaReportDetails);

    /**
     * 修改诊断报告
     *
     * @param diaReportDetails 诊断报告
     * @return 结果
     */
    int updateDiaReportDetails(DiaReportDetails diaReportDetails);

    /**
     * 批量删除诊断报告
     *
     * @param ids 需要删除的诊断报告主键集合
     * @return 结果
     */
    int deleteDiaReportDetailsByIds(Long[] ids);

    /**
     * 删除诊断报告信息
     *
     * @param id 诊断报告主键
     * @return 结果
     */
    int deleteDiaReportDetailsById(Long id);



//
    int batchUpdate(List<DiaReportDetails> list);


}
